Cryptographic Message Syntax

From Wikipedia, the free encyclopedia
The Cryptographic Message Syntax (CMS) is the IETF's standard for cryptographically protected messages. It can be used to digitally sign, digest, authenticate or encrypt any form of digital data.

CMS is based on the syntax of PKCS#7, which in turn is based on the Privacy-Enhanced Mail standard. The newest version of CMS (as of 2009)[needs update] is specified in RFC 5652 (but see also RFC 5911 for updated ASN.1 modules conforming to ASN.1 2002).

The architecture of CMS is built around certificate-based key management, such as the profile defined by the PKIX working group.

CMS is used as the key cryptographic component of many other cryptographic standards, such as S/MIME, PKCS#12 and the RFC 3161 Digital timestamping protocol.

OpenSSL is open source software that can encrypt, decrypt, sign and verify, compress and uncompress CMS documents.

See also[edit]
icon	Cryptography portal
CAdES - CMS Advanced Electronic Signatures
S/MIME
PKCS#7

External links[edit]
RFC 5652 (Cryptographic Message Syntax (CMS), in use)
RFC 3852 (Cryptographic Message Syntax (CMS), obsolete)
RFC 3369 (Cryptographic Message Syntax (CMS), obsolete)
RFC 2630 (Cryptographic Message Syntax, obsolete)
RFC 6268 (New ASN.1 Modules for Cryptographic Message Syntax (CMS) and S/MIME, in use)
RFC 5911 (New ASN.1 Modules for Cryptographic Message Syntax (CMS) and S/MIME, updated)
RFC 5753 (Using Elliptic Curve Cryptography with CMS, in use)
RFC 3278 (Use of Elliptic Curve Cryptography (ECC) Algorithms in Cryptographic Message Syntax (CMS), obsolete)
RFC 5084 (Using AES-CCM and AES-GCM Authenticated Encryption in the Cryptographic Message Syntax (CMS), in use)